export class Query {
    sql;
    statement;
    constructor(db, sql) {
        this.sql = sql;
        this.statement = db.prepareSync(sql);
    }
    get(params) {
        const result = this.statement.executeSync(params).getAllSync()[0];
        return result ?? null;
    }
    all(params) {
        return this.statement.executeSync(params).getAllSync();
    }
    iterate(params) {
        return this.statement.executeSync(params);
    }
}
export class Method {
    sql;
    statement;
    constructor(db, sql) {
        this.sql = sql;
        this.statement = db.prepareSync(sql);
    }
    run(params) {
        const prefixedParams = Object.fromEntries(Object.entries(params).map(([k, v]) => [":" + k, v]));
        this.statement.executeSync(prefixedParams);
    }
}
